services:
  adguardhome:
    container_name: ${CONTAINER_NAME}
    restart: always
    networks:
      - 1panel-network
    ports:
      - ${PANEL_APP_PORT_DNS}:53/tcp
      - ${PANEL_APP_PORT_DNS}:53/udp
      - ${PANEL_APP_PORT_DHCP_1}:67/udp
      - ${PANEL_APP_PORT_DHCP_2}:68/udp
      - ${PANEL_APP_PORT_HTTP_1}:80/tcp
      - ${PANEL_APP_PORT_DOH}:443/tcp
      - ${PANEL_APP_PORT_DOH}:443/udp
      - ${PANEL_APP_PORT_HTTP}:3000/tcp
      - ${PANEL_APP_PORT_DOT}:853/tcp
      - ${PANEL_APP_PORT_QUIC_1}:784/udp
      - ${PANEL_APP_PORT_DOT}:853/udp
      - ${PANEL_APP_PORT_QUIC_2}:8853/udp
      - ${PANEL_APP_PORT_DNS_CRYPT}:5443/tcp
      - ${PANEL_APP_PORT_DNS_CRYPT}:5443/udp
    volumes:
      - ./data/work:/opt/adguardhome/work
      - ./data/conf:/opt/adguardhome/conf
    image: adguard/adguardhome:v0.107.72
    labels:
      createdBy: "Apps"
networks:
  1panel-network:
    external: true